V2.0
get
/ec-designer-svc/rest/v2.0/studies/library/{libraryId}/studyType/{studyType}/studyUses
Retrieves all usage for library studies including info if some of the copies was modified
Request
Path Parameters
-
libraryId(required): string(uuid)
Library ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
1C2D3E4F5A6B7C8D9E00112233445566 -
studyType(required): string
Study type. Allowed values: STANDARD (regular study), LIBRARY (reusable library study). Example: LIBRARY.Example:
STANDARD
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyLibraryObjectUseDto v1.0
Title:
StudyLibraryObjectUseDto v1.0Summary information about which study is reused together with all necesayr info, for example modified after copy
Nested Schema : StudyLibraryObjectUseDto v1.0
Type:
objectTitle:
StudyLibraryObjectUseDto v1.0Summary information about which study is reused together with all necesayr info, for example modified after copy
Show Source
-
id: string
(uuid)
Study Unique GUID
-
modifiedAfterCopy: boolean
(number)
1 for true, 0 for falseExample:
false -
studyTitle: string
Study Title or protocol numberExample:
TICIPS001 -
versionStart: string
(date-time)
Study approval dateExample:
2020-07-26T14:24:52.346Z
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object